---
title: user-modify
slug: Web/CSS/user-modify
tags:
  - CSS
  - CSS Property
  - 'CSS:Mozilla Extensions'
  - 'CSS:WebKit Extensions'
  - Deprecated
  - Non-standard
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}{{Non-standard_Header}}{{Deprecated_Header}}</div>

<p>The <strong><code>user-modify</code></strong> property has no effect in Firefox. It was originally planned to determine whether or not the content of an element can be edited by a user.</p>

<pre class="brush:css notranslate">/* Keyword values */
user-modify: read-only;
user-modify: read-write;
user-modify: write-only;

/* Global values */
user-modify: inherit;
user-modify: initial;
user-modify: unset;
</pre>

<div class="warning">
<p>This property has been replaced by the {{HTMLAttrxRef("contenteditable")}} attribute.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<p>The <code>-moz-user-modify</code> property is specified as one of the keyword values from the list below.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>read-only</code></dt>
 <dd>Default value. Contents are read-only.</dd>
 <dt><code>read-write</code></dt>
 <dd>The user is able to read and write contents.</dd>
 <dt><code>read-write-plaintext-only</code> {{Non-standard_Inline}}</dt>
 <dd>Same as <code>read-write</code>, but rich text formatting will be lost.</dd>
 <dt><code>write-only</code></dt>
 <dd>The user is able to edit the content, but not to read it.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush:html notranslate">&lt;div class="readwrite"&gt;The user is able to change this text.&lt;/div&gt;
</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush:css notranslate">.readwrite {
  -moz-user-modify: read-write;
  -webkit-user-modify: read-write;
}
</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard. A similar property, <code>user-focus</code>, was proposed in <a class="external" href="http://www.w3.org/TR/2000/WD-css3-userint-20000216">early drafts of a predecessor of the CSS3 UI specification</a>, but was rejected by the working group.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.user-modify")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{CSSxRef("-moz-user-focus")}}</li>
 <li>{{CSSxRef("-moz-user-input")}}</li>
 <li>{{CSSxRef("-moz-user-select")}}</li>
</ul>
